v18 -  Beetle PSX
#1
Trying to get PSX rooms to play, but I am having trouble installing Beetle PSX. It keeps telling me a dependency (game.controller.ps.konami.justifier.ps)
Is unavailable. If I go into controllers I can see the controller it wants, and it is the only one of the group not auto installed. I assume there is a typo somewhere, but I can't figure out how to correctly point the add on installer to the correct controller. (Or tell it I don't care about the gun, I'll never use it)

I typically am able to fumble around the forums and web at large to fond work arounds, but my Google Fu is saddly letting me down this time.

I've tried hard and soft reset to start over but same problem.
Using libreelec x86 Milhouse 303 from March 9th

I am getting no error so I don't think a log will help (happy to be wrong about that I am sure I can figure out that process if need be)
Thank you for your time any one who responds.

If there is a reference out that I've failed to find it is ignorance not lazyness that has me asking, and please point me in the right direction.
(Just started using Kodi a few months ago so any problem I ran into in Krypton had been well flushed out and easy to find answers for long before I ran into a problem. Fumbling my way through Leia in honest attempt to learn.)
Reply
#2
your not alone I cant get PSX to work either on Libreelec the screen just blacks out and nothing happens.
RPi3+ LE v8.0 (+ HDHomeRun ATSC tuner, Tvh, Comskip, zap2epg)

A95X LE v8.2 (kszaq)
Reply
#3
That was originally happening to me while I was using rearmed. I didn't realize I wasn't supposed to be using that one unless I had an arm system (I think)
Got passed that when I realised I had to supply a bios.
Figured that out about the same time as I realized the controller problem and moved on for a while.
Reply
#4
so, what exactly do i have to do, to get around the "game.controller.ps.konami.justifier.ps" error?
Reply
#5
hello?

i'm waiting for an answer?

where do i get "game.controller.ps.konami.justifier.ps"?
Reply
#6
Beetle PSX has listed the wrong id as dependency, correct would be game.controller.konami.justifier.ps.
Reply
#7
Should be fixed here: https://github.com/kodi-game/game.libret...sx/pull/10
BTC: 1JtXwJdGdE9YnYgThWBT2StFCU5sEYkbVD (personal), https://kodi.tv/contribute/donate-bitcoin (foundation). Donations in the form of controllers, especially ones that don't work in Kodi, are also appreciated.
Reply
#8
(2018-03-26, 19:59)cabbresson Wrote: your not alone I cant get PSX to work either on Libreelec the screen just blacks out and nothing happens.

Even though this is not related to this issue. For me there is an easy workaround. Frist time I run any game with rearmed, I get blackscreen (but I hear the sound). So I exit the game and run it again. Voila. The Picture is there.
Reply
#9
A fix for blackscreen was just committed. It's included in my most recent test builds. Can you check to see if this is still an issue?
BTC: 1JtXwJdGdE9YnYgThWBT2StFCU5sEYkbVD (personal), https://kodi.tv/contribute/donate-bitcoin (foundation). Donations in the form of controllers, especially ones that don't work in Kodi, are also appreciated.
Reply
#10
Have another Problem with that, when i try to Open a bin File it doesnt ask about which Emulator to use. So nothing Happen, i have Installed beetlepsx and psx rearmed
Reply
#11
(2018-09-06, 23:16)TobSt4r Wrote: Have another Problem with that, when i try to Open a bin File it doesnt ask about which Emulator to use. So nothing Happen, i have Installed beetlepsx and psx rearmed
 Try adding this to advanced settings:
Code:
<advancedsettings>
  <videoextensions>
    <remove>.bin|.img|.iso|.zip</remove>
  </videoextensions>
  <musicextensions>
    <remove>.cue|.zip</remove>
  </musicextensions>
  <pictureextensions>
    <remove>.zip</remove>
  </pictureextensions>
</advancedsettings>
BTC: 1JtXwJdGdE9YnYgThWBT2StFCU5sEYkbVD (personal), https://kodi.tv/contribute/donate-bitcoin (foundation). Donations in the form of controllers, especially ones that don't work in Kodi, are also appreciated.
Reply
#12
(2018-09-06, 23:38)garbear Wrote:
(2018-09-06, 23:16)TobSt4r Wrote: Have another Problem with that, when i try to Open a bin File it doesnt ask about which Emulator to use. So nothing Happen, i have Installed beetlepsx and psx rearmed
 Try adding this to advanced settings:
Code:
<advancedsettings>
  <videoextensions>
    <remove>.bin|.img|.iso|.zip</remove>
  </videoextensions>
  <musicextensions>
    <remove>.cue|.zip</remove>
  </musicextensions>
  <pictureextensions>
    <remove>.zip</remove>
  </pictureextensions>
</advancedsettings>
In IAGL, there is a semi-workaround where you can preset which game addon to play the file with (Context menu to 'Set Default Game Addon').  It would be great if there was somehow a 'play using' context for file types that could be played by either a video player or a game addon, or in the future if a folder was defined as a game source it would assume to try a game addon instead of the video player.
Reply
#13
Sorry for late response ...

@garbear i had allready set this to my advancedsettings.xml but nothing changed
@zachmorris thanks i will try this workaround on weekend
Reply
 
Thread Rating:
  • 1 Vote(s) - 5 Average



Logout Mark Read Team Forum Stats Members Help
Beetle PSX51